Crystal HD support in Krypton?

#43

No, all instances of Kodi sharing a database must be running the same version. If you want your ATVs on Kodi v.16 then all your devices will need to remain on Kodi v.16.

0 Likes

#44

I don’t think Scott uses CrystalHD or AppleTV hardware anymore.

The AppleTV updates weren’t reverted because only about 30% of users are using CrystalHD cards now.

I’ll let you know if I make any progress.

0 Likes

#45

Hi Sam,

Sounds good, fingers cross and hope that you can fix it.

0 Likes

#46

guibaa
u can sync 16 and 17 version of DB only from 16 data to 17.
The way is drop schema v17 and recreate it by restarting kodi

0 Likes

#47

Hi

I’ve seen that there is a March update for the APTV 1, what would be fixed here? I don’t see any changes in the blog, is with that update also solve the CrystalHD issue?

0 Likes

#48

Well I assume my eyes are just better than yours
https://osmc.tv/2017/03/osmcs-march-update-is-here-with-kodi-17-1/

Bug fixes
Fix an issue where CEC may not work correctly on Vero 4K
Fix an issue that may preve…

Nope, as written here

0 Likes

#49

I don’tt think your eyes are better than mine, I’ve been looking for changes for the ATV1 that there are changes for the other platforms I’ve already recognized.

1 Like

#50

So you did not see all the fixes that had no specific platform mentioned and are universal?

0 Likes

#51

Hi… I am still using the AppleTV with OSMC and would greatly appreciate if support for CrystalHD is fixed somehow…otherwise I will revert to the previous version which was by far the best thing… still kicking myself for updating without checking in the forum for issues…

0 Likes

#52

@sam_nazarko is ir possibility to lock 16, so we get needed updates that is not kodi 17, or is this the same thing?

0 Likes

#53

You can hold back Kodi updates but this is not supported by us.

0 Likes

#54

Hi Sam

Is there any progress with the Crystal HD problem?

0 Likes

#55

Not at this time

0 Likes

#56

Hi Guys

Is someone working on the problem or is there no priority here to find a solution?

0 Likes

#57

Unfortunately that someone only could be Sam.

Well I would not say no priority but due to the number of ATV/Crsystal HD users compared to currently other issues that impact potentially more users the prioirty might not be the highest.
So for the time being I suggest to wait till Sam finds time to look into this.

0 Likes

#58

Just wanted to jump in and say I’ll lend a hand in this in any way I can, and also ask a semi-related question.

I’ve got the crystalhd driver working on Ubuntu 16.04, VLC can use it just fine, but obviously the normal version of Kodi won’t see it.

In looking at the osmc git, I see one patch pertaining to CrystalHD. I downloaded this patch and tried to run it against the current Kodi source from git and this is what I got:


crystalhd-enable.patch:79: trailing whitespace.
[ AC_DEFINE([HAVE_LIBCRYSTALHD], [2], [Define to 2 if you have the ‘New Broadcom Crystal HD’ library.]) ],
crystalhd-enable.patch:361: trailing whitespace.

crystalhd-enable.patch:389: trailing whitespace.
“BC_STS_BUSY”,
crystalhd-enable.patch:390: trailing whitespace.
“BC_STS_NOT_IMPL”,
crystalhd-enable.patch:391: trailing whitespace.
“BC_STS_PGM_QUIT”,
error: configure.ac: No such file or directory
warning: system/settings/settings.xml has type 100755, expected 100644
error: xbmc/cores/VideoPlayer/DVDCodecs/Video/Makefile.in: No such file or directory
error: patch failed: xbmc/settings/SettingConditions.cpp:29
error: xbmc/settings/SettingConditions.cpp: patch does not apply

Anyway, my question is this: if I get source for 16.1, can I just apply this patch and build a version of Kodi 16.1 that supports crystalhd? I’ve got a 2006 Mac mini that I use as a media center, and being able to use the crystalhd would really help it out :smiley:

0 Likes

#59

Yes – you can apply it, but it may not necessarily work well for you

Sam

0 Likes

#60

Is it possible to provide some temporary solution like replacing kodi.bin with last working version?
I remember that in Crystalbuntu days it was working this way. I don’t want reinstall whole OSMC because of files on HDD.

If it will be possible to quick replace only kodi.bin we could also test alpha builds one by one and find which one made regression.

EDIT1:
Kodi from January package doesn’t work under latest OSMC. Did I something wrong?

/usr/lib/kodi/kodi.bin: error while loading shared libraries: libjasper.so.1: cannot open shared object file: No such file or directory

EDIT2:
Ok, I copied also libjasper.so.1 and libjasper.so.1.0.0 and Kodi is starting but remote control doesn’t work.

0 Likes

#61

You can’t do that: if the downgrade was that simple we would of course provide it

0 Likes

#62

Well, I did it and playback from 1080p BluRay seems ok.
Maybe there are some disadvantages that I’m not seeing but in my opinion it’s better than nothing.

As I said before only remote isn’t working and for tests I’m using USB mouse.
According to this I replaced atvclient but didn’t help.
https://discourse.osmc.tv/t/remote-not-working-in-kodi-17-beta/?source_topic_id=22147

0 Likes